> ## Documentation Index
> Fetch the complete documentation index at: https://docs.navtalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> Returns all AI models available under the specified provider. The returned `model` field is used as the `model` parameter when creating an avatar.



## OpenAPI

````yaml GET /api/open/v1/model/list
openapi: 3.1.0
info:
  title: NavTalk API
  description: NavTalk API for AI avatar management, file uploads, and video generation
  version: 1.0.0
servers:
  - url: https://api.navtalk.ai
    description: NavTalk Production Environment Server
  - url: https://qaapi.navtalk.ai
    description: NavTalk QA Environment Server
  - url: https://devapi.navtalk.ai
    description: NavTalk Development Environment Server
security:
  - navtalkLicenseAuth: []
paths:
  /api/open/v1/model/list:
    get:
      tags:
        - Model
      summary: List Models
      description: >-
        Returns all AI models available under the specified provider. The
        returned `model` field is used as the `model` parameter when creating an
        avatar.
      operationId: listModels
      parameters:
        - name: providerId
          in: query
          description: The provider ID (obtained from `/provider/list`)
          required: true
          schema:
            type: string
            example: b92a28fb2ea737457c7f13ba554759c0
      responses:
        '200':
          description: Model list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelListResponse'
              example:
                code: 200
                message: SUCCESS
                data:
                  - model: agent_3201khcbet2vf349gpmtfg83q0hy
                    name: GPT-4o Realtime
        '400':
          description: License validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NavtalkErrorResponse'
              example:
                code: 400
                message: Invalid license key
      security:
        - navtalkLicenseAuth: []
components:
  schemas:
    ModelListResponse:
      type: object
      properties:
        code:
          type: integer
          example: 200
        message:
          type: string
          example: SUCCESS
        data:
          type: array
          items:
            $ref: '#/components/schemas/OpenModel'
    NavtalkErrorResponse:
      type: object
      properties:
        code:
          type: integer
          example: 400
        message:
          type: string
          example: Invalid license key
    OpenModel:
      type: object
      properties:
        model:
          type: string
          description: >-
            Model key, used as the `model` field when creating an avatar. For
            ElevenLabs agents, see [ElevenLabs Agents
            Quickstart](https://elevenlabs.io/docs/eleven-agents/quickstart).
            For Cartesia agents, see [Cartesia Voices Agents
            Quickstart](https://play.cartesia.ai/agents).
          example: agent_3201khcbet2vf349gpmtfg83q0hy
        name:
          type: string
          description: Display name of the model.
          example: GPT-4o Realtime
  securitySchemes:
    navtalkLicenseAuth:
      type: apiKey
      in: header
      name: license
      description: NavTalk API license key (e.g. sk_navtalk_...)

````